import Background from "@/components/Background";
import Hero from "@/components/Hero";
import Features from "@/components/Features";
import Footer from "@/components/Footer";
import { auth } from "@/auth";
export const dynamic = 'force-dynamic';
import { LoginButton } from "@/components/LoginButton";

export default async function Home() {
  const session = await auth();
  return (
    <main className="relative min-h-screen text-white">
      <Background />
      <Hero authButton={<LoginButton session={session} />} />
      <Features />
      <Footer />
    </main>
  );
}
